=== debian/changelog ===
jacob (0.0.4-maemo1) unstable; urgency=low

  * Enable cheat if audio has error
  * Fix for compiling with gcc-4.2
  * Use started script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  8 Sep 2011 15:39:31 +0020
