=== debian/control ===
Source: jacob
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev,  libsdl-mixer1.2-dev, libpng12-dev, zlib1g-dev
Standards-Version: 3.7.2
Homepage: http://www.zincland.com/7drl/jacob/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: jacob
Architecture: any
Depends: ${shlibs:Depends}
Description: 7day roguelike with realtime element by audio
 .
 In Jacob's Matrix you explore a maze of twisty, turning passages, all 
 different. Your goal is straightforward - get from the blue coloured 
 room to the gold coloured room - but unfortunately the orientation of 
 the passages can prove confusing.
