## jacob 0.0.4-maemo2

=== debian/changelog ===
jacob (0.0.4-maemo2) unstable; urgency=low

  * Error with audio is not critical

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  8 Sep 2011 20:35:31 +0020
