## jacob 0.0.4-maemo6

=== src/linux/Makefile ===
--- 
+++ 
@@ -26,12 +26,12 @@
 	 ../thread_linux.o
 
 .cpp.o:
-	g++ -O3 -DLINUX -I../../linux/lib/libtcod-1.4.0/include `sdl-config --cflags` -c $< -o $@
+	g++-4.6 -O3 -DLINUX -I../../linux/lib/libtcod-1.4.0/include `sdl-config --cflags` -c $< -o $@
 
 all: $(TARGET)
 
 $(TARGET): $(OFILES)
-	g++ -O3 -o $(TARGET) $(OFILES) -L../../linux/lib/libtcod-1.4.0 `sdl-config --libs` -ltcod -ltcod++ -lSDL_mixer
+	g++-4.6 -O3 -o $(TARGET) $(OFILES)  -L../../linux/lib/libtcod-1.4.0 `sdl-config --libs` -ltcod -ltcod++ -lSDL_mixer -lpthread -B /usr/binutils2.22/bin 
 
 clean:
 	rm -f ../*.o
