=== src/support/enummaker/Makefile ===
TARGET = enummaker

OFILES = enummaker.o

.cpp.o:
	g++-4.6 -O3 -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++-4.6 -O3 -o $(TARGET) $(OFILES) -B /usr/binutils2.22/bin

clean:
	rm -f *.o
	rm -f $(TARGET)
