=== debian/changelog ===
jacob (0.0.4-maemo6) unstable; urgency=low

  * Compile with g++-4.6

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 23 Sep 2012 20:44:31 +0200
